package types

type MarriageReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
}
type HomeServiceReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
}

// RiskAssessment 查询请求结构
type RiskAssessmentReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
}

// CompanyInfo 查询请求结构
type CompanyInfoReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
}

// RentalInfo 查询请求结构
type RentalInfoReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
}

// PreLoanBackgroundCheck 查询请求结构
type PreLoanBackgroundCheckReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
}

// BackgroundCheck 查询请求结构
type BackgroundCheckReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
}
type EntLawsuitReq struct {
	EntName string `json:"ent_name" validate:"required,name"`
	EntCode string `json:"ent_code" validate:"required,USCI"`
	Mobile  string `json:"mobile" validate:"required,mobile"`
	Code    string `json:"code" validate:"required"`
}
type TocPhoneThreeElements struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
}
type TocPhoneTwoElements struct {
	Name   string `json:"name" validate:"required,name"`
	Mobile string `json:"mobile" validate:"required,mobile"`
}
type TocIDCardTwoElements struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
}
type TocDualMarriage struct {
	NameMan     string `json:"name_man" validate:"required,name"`
	IDCardMan   string `json:"id_card_man" validate:"required,idCard"`
	NameWoman   string `json:"name_woman" validate:"required,name"`
	IDCardWoman string `json:"id_card_woman" validate:"required,idCard"`
}
type TocPersonVehicleVerification struct {
	Name       string `json:"name" validate:"required,name"`
	CarType    string `json:"car_type" validate:"required"`
	CarLicense string `json:"car_license" validate:"required"`
}

// 银行卡黑名单
type TocBankCardBlacklist struct {
	Name     string `json:"name" validate:"required,name"`
	IDCard   string `json:"id_card" validate:"required,idCard"`
	Mobile   string `json:"mobile" validate:"required,mobile"`
	BankCard string `json:"bank_card" validate:"required"`
}

// 手机号码风险
type TocPhoneNumberRisk struct {
	Mobile string `json:"mobile" validate:"required,mobile"`
}

// 手机二次卡
type TocPhoneSecondaryCard struct {
	Mobile    string `json:"mobile" validate:"required,mobile"`
	StartDate string `json:"start_date" validate:"required"`
}

type AgentQueryData struct {
	Mobile string `json:"mobile"`
	Code   string `json:"code"`
}
type AgentIdentifier struct {
	Product string `json:"product"`
	AgentID int64  `json:"agent_id"`
	Price   string `json:"price"`
}
